#
# spec file for package perl-Class-Singleton (Version 1.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Class-Singleton
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Implementation of a "Singleton" class
Version:        1.4
Release:        21.1
License:        Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-Singleton/
Source:         http://search.cpan.org/CPAN/authors/id/A/AB/ABW/Class-Singleton-1.4.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
This is the "Class::Singleton" module. A Singleton describes an object
class that can have only one instance in any system. An example of a
Singleton might be a print spooler or system registry. This module
implements a Singleton class from which other classes can be derived. By
itself, the "Class::Singleton" module does very little other than manage
the instantiation of a single object. In deriving a class from
"Class::Singleton", your module will inherit the Singleton instantiation
method and can implement whatever specific functionality is required.

For a description and discussion of the Singleton class, see "Design
Patterns", Gamma et al, Addison-Wesley, 1995, ISBN 0-201-63361-2.

Author: Andy Wardley <abw@wardley.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README 

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr 11 2010 chris@computersalat.de
- removed .packlist, perllocal.pod files
  > noarch package
- cleanup spec
  o fix HEADER
  o update License, Url, description
  o fixed deps
  - BuildReq perl
  - perl-macros
  o enable parallel build
  o macro usage
  o changelog to changes file
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 1.4
